Support Questions
Find answers, ask questions, and share your expertise

Error while installing tensorflow

I am trying to install tensorflow on cluster where I don't have sudo access, but I am receiving this error:

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/home/nsoufi2s/anaconda3/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow.py", line 41, in from tensorflow.python.pywrap_tensorflow_internal import * File "/home/nsoufi2s/anaconda3/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 28, in _pywrap_tensorflow_internal = swig_import_helper() File "/home/nsoufi2s/anaconda3/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "/home/nsoufi2s/anaconda3/lib/python3.5/imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "/home/nsoufi2s/anaconda3/lib/python3.5/imp.py", line 342, in load_dynamic return _load(spec) ImportError: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/nsoufi2s/anaconda3/lib/python3.5/site-packages/tensorflow/python/_pywrap_tensorflow_internal.so)

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "", line 1, in File "/home/nsoufi2s/anaconda3/lib/python3.5/site-packages/tensorflow/init.py", line 24, in from tensorflow.python import * File "/home/nsoufi2s/anaconda3/lib/python3.5/site-packages/tensorflow/python/init.py", line 49, in from tensorflow.python import pywrap_tensorflow File "/home/nsoufi2s/anaconda3/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow.py", line 52, in raise ImportError(msg) ImportError: Traceback (most recent call last): File "/home/nsoufi2s/anaconda3/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow.py", line 41, in from tensorflow.python.pywrap_tensorflow_internal import * File "/home/nsoufi2s/anaconda3/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 28, in _pywrap_tensorflow_internal = swig_import_helper() File "/home/nsoufi2s/anaconda3/lib/python3.5/site-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "/home/nsoufi2s/anaconda3/lib/python3.5/imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "/home/nsoufi2s/anaconda3/lib/python3.5/imp.py", line 342, in load_dynamic return _load(spec) ImportError: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/nsoufi2s/anaconda3/lib/python3.5/site-packages/tensorflow/python/_pywrap_tensorflow_internal.so)

Failed to load the native TensorFlow runtime.

1 REPLY 1

Re: Error while installing tensorflow

@Nagesh Kumar

So it looks like you are installing the Python version of Tensorflow using Anaconda3 as your Python distribution. The error you are getting is a GLIBC error and isn't really that uncommon it seems. It's an OS/Anaconda/Tensorflow issues in general. What OS are you running?

You are likely running into this: https://stackoverflow.com/questions/39807621/glibc-2-14-not-recognized-by-tensorflow-installation-in.... It seems this problem is fairly common as a Google search yields a number of similar results. This appears to suggest a workaround: https://stackoverflow.com/questions/33655731/error-while-importing-tensorflow-in-python2-7-in-ubuntu.... If you are not running Ubuntu, you should be able to adapt the specific versions as needed to your OS.